local AddonName, a = ...
if a.BuildFail(50000) then return end
local L = a.Localize
local s = SpellFlashAddon
local x = s.UpdatedVariables

-- SpellFlash API:
-- http://wow.curseforge.com/addons/spellflash/pages/api/

-- Updated variable references:
-- http://wow.curseforge.com/addons/spellflash/pages/api/#w-local-x-spell-flash-addon-updated-variables
-- x.Enemy, x.ActiveEnemy, x.NoCC, x.InInstance, x.InstanceType, x.PetAlive, x.PetActiveEnemy, x.PetNoCC, x.Lag, x.DoubleLag, x.ThreatPercent, x.EnemyDetected, x.ShouldPermanentBuff, x.ShouldTemporaryBuff


-- Use this single spam function and remove the multiple spam table below, or just use the multiple spam table below and leave this function in place.
a.SetSpamFunction(function() a.RunSpamTable()
	
	-- Place script here
	-- a.Flash("First Spell", "Second Spell", "Third Spell") -- This will flash one or more spells in a priority one after the other, and will return the string of the last one that flashes
	-- a.FlashAll("First Spell", "Second Spell", "Third Spell") -- This will flash all of the spells at the same time
	
end)

--[[
Subtlety
--ComboPoints
["Ambush"] = 8676, white
["Hemorrhage"] = 16511, yellow
["Backstab"] = 53, white

--Finishing Moves
["Slice and Dice"] = 5171, keep up always red flash
["Rupture"] = 1943,  refresh at 5 cb orange
["Eviscerate"] = 2098, use with 5 cb flash orange

--CoolDowns
["Premeditation"] = 14183, use every Vanish or shadow Dance pink
["Shadow Dance"] = 51713, pink
["Vanish"] = 1856, pink
["Redirect"] = 73981, pink
["Tricks of the Trade"] = 57934, pink
]]

--[[
White "Default"
Yellow "Limited Time or No Global Cooldown"
Purple "AOE or Positional Damage"
Blue "AOE Debuff"
Orange "Finishing Move"
Aqua "Spell Interrupt Reflect or Dispel"
Green "Self Buff or Turn Autocast On"
Red "Emergency Mitigation Cooldowns or Turn Autocast Off"
Pink "Optional"
]]

-- Use this multiple spam table, or remove this table and use the single spam function above.
a.Spam = {
	
	
	-- Default script
	{Title = L["Subtlety Spec"], -- Place script title here
	Description = L["Spell Priority for Subtlety Spec."], -- Place optional script description here or comment out or remove this line
	Function = function()
		
		if s.Spec(3) then --sub
			if s.HealthPercent("player") < 80 then
						a.Flash("Shiv")
						if GetComboPoints("player") > 0 then
							a.Flash("Recuperate")
						end
			end
			--if s.Enemy() and s.MeleeDistance() then
			
			if s.Magic("player") then
				a.Flash("Cloak of Shadows")
			elseif s.Poisoned("player") then
				a.Flash("Cloak of Shadows")
			elseif s.Diseased("player") then
				a.Flash("Cloak of Shadows")
			else
				if s.Cursed("player") then
					a.Flash("Cloak of Shadows")
				end
			end
			
			
				if s.Buff("Shadow Dance", "player") then --[["Shadow Dance" 51713 ]]
					a.Flash("Ambush")
					a.Flash("Premeditation")
				elseif s.Form("Stealth") then
					a.Flash("Ambush")
				elseif s.Buff("Vanish", "player") then
					a.Flash("Premeditation")
					a.Flash("Ambush")			
				else
					
					--	a.Flash("Stealth")
					--	a.Flash("Shadow Dance")
					a.Flash("Vanish")
					a.Flash("Kick")
					
					if GetComboPoints("player") > 0 then
						a.Flash("Slice and Dice")
					end					
					
					if GetComboPoints("player") < 5 then
						if not s.Debuff("Hemorrhage", "target", 5) then
							a.Flash("Hemorrhage")
						else
							a.Flash("Backstab")
						end
					else 
						if not s.Debuff("Rupture", "target", 5) then
							a.Flash("Rupture")
						else
							a.Flash("Eviscerate")
						end					
					end
					
					

					
					if GetComboPoints("player") > 4 then
						
					end
					
					--is vanish on cooldown? if true flash Prep`  51713 
					if s.SpellCooldown(1856) > 15 then
						a.Flash("Preparation")
					end
					
				end
			
			--end
			
		end
		
	end},
	
	
	-- Add and remove as many of these table sections ass needed
	{Title = L["Script Title"], -- Place script title here
	Description = L["Script Description"], -- Place optional script description here or comment out or remove this line
	Function = function()
		
		-- Place script here
		
	end},
	
	
	-- Add and remove as many of these table sections ass needed
	{Title = L["Script Title"], -- Place script title here
	Description = L["Script Description"], -- Place optional script description here or comment out or remove this line
	Function = function()
		
		-- Place script here
		
	end},
	
	
}

