local AddonName, a = ...
if a.BuildFail(50000) then return end
local L = a.Localize
local s = SpellFlashAddon
local x = s.UpdatedVariables

-- SpellFlash API:
-- http://wow.curseforge.com/addons/spellflash/pages/api/
--[[
	White - Default
	Yellow - Limited Time or No Global Cooldown
	Purple - AOE or Positional Damage
	Blue - AOE Debuff
	Orange - Finishing Move
	Aqua - Spell Interrupt, Reflect or Dispel
	Green - Self Buff or Turn Autocast On
	Red - Emergency Mitigation Cooldowns or Turn Autocast Off
	Pink - Optional
]]
-- Updated variable references:
-- http://wow.curseforge.com/addons/spellflash/pages/api/#w-local-x-spell-flash-addon-updated-variables
-- x.Enemy, x.ActiveEnemy, x.NoCC, x.InInstance, x.InstanceType, x.PetAlive, x.PetActiveEnemy, x.PetNoCC, x.Lag, x.DoubleLag, x.ThreatPercent, x.EnemyDetected, x.ShouldPermanentBuff, x.ShouldTemporaryBuff

-- Spell table references:
-- http://wow.curseforge.com/addons/spellflash/pages/api/#w-s-castable
--[[
a.SpellIDs = {
--	["Adrenaline Rush"] = 13750,
	["Ambush"] = 8676,
	["Backstab"] = 53,
--	["Blade Flurry"] = 13877,
	["Deadly Poison"] = 2823,
	["Energetic Recovery"] = 79152,
--	["Envenom"] = 32645,
	["Eviscerate"] = 2098,
--	["Expose Armor"] = 8647,
	["Find Weakness"] = 91021,
--	["Garrote"] = 703,
	["Hemorrhage"] = 16511,
--	["Instant Poison"] = 6947,
	["Kick"] = 1766,
--	["Killing Spree"] = 51690,
	["Master of Subtlety"] = 31665,
--	["Mutilate"] = 1329,
--	["Overkill"] = 58427,
	["Poisons"] = 66,
	["Premeditation"] = 14183,
	["Preparation"] = 14185,
	["Recuperate"] = 73651,
	["Redirect"] = 73981,
	["Relentless Strikes"] = 98440,
--	["Revealing Strike"] = 84617,
	["Rupture"] = 1943,
	["Shadow Dance"] = 51713,
--	["Shadowstep"] = 36554,
--	["Sinister Strike"] = 1752,
	["Slice and Dice"] = 5171,
	["Stealth"] = 115191,
	["Tricks of the Trade"] = 57934,
	["Vanish"] = 1856,
--	["Vendetta"] = 79140,
--	["Wound Poison"] = 10918,
}
]]

a.spells["Auto Attack"] = {
	ID = 6603--[[Auto Attack]],
	EnemyTargetNeeded = 1,
	Melee = 1,
	NotIfActive = 1,
	CheckFirst = function(z)
		z.FlashColor = s.If(x.ActiveEnemy, "Green", "Red")
		return x.NoCC
	end,
}

a.spells["Shoot"] = {
	ID = 3018--[[Shoot]],
	EnemyTargetNeeded = 1,
	NotIfActive = 1,
	CheckFirst = function(z)
		z.FlashColor = s.If(x.ActiveEnemy, "White", "Pink")
		return x.NoCC and not s.Shooting()
	end,
}

a.spells["Stealth"] = {
	Type = "form",
	ID = 1784--[[Stealth]],
	FlashColor = "Green",
	FlashSize = s.FlashSizePercent() * .75,	
	FlashBlink = true,
}
a.spells["Shadow Dance"] = {
	Type = "form",
	ID = 51713--[[Shadow Dance]],
	FlashColor = "Green",
}

a.spells["Slice and Dice"] = {
	ID = 5171--[[Slice and Dice]],
	Buff = 5171,
	--RequireBuff = number,
	BuffUnit = "player",
	EarlyRefresh = 5,
	Unit = "player",
	FlashColor = "Red",
	FlashBlink = true,
}


a.spells["Ambush"] = {
	ID = 8676--[[Ambush]],
	FlashBlink = true,
	EnemyTargetNeeded = 1,
	Melee = 1,
	CheckFirst = function(z)
		z.FlashColor = s.If(x.ActiveEnemy, "White", "Yellow")
		return x.NoCC
	end,
}
a.spells["Hemorrhage"] = {
	ID = 16511--[[Hemorrhage]],
	EnemyTargetNeeded = 1,
	Melee = 1,
	CheckFirst = function(z)
		z.FlashColor = s.If(x.ActiveEnemy, "White", "Yellow")
		return x.NoCC
	end,
}

a.spells["Kick"] = {
	ID = 1766--[[Kick]],
	EnemyTargetNeeded = 1,
	Melee = 1,
	Interrupt = 1,
	FlashColor = "Red",
	FlashBrightness = 100,   
	FlashBlink = true,
	--FlashSize = s.FlashSizePercent() * 1,
}
a.spells["Backstab"] = {
	ID = 53--[[Backstab]],
	EnemyTargetNeeded = 1,
	Melee = 1,
	CheckFirst = function(z)
		z.FlashColor = s.If(x.ActiveEnemy, "Orange", "Pink")
		return x.NoCC
	end,
}
a.spells["Premeditation"] = {
	ID = 14183--[[Premeditation]],
	EnemyTargetNeeded = 1,
	FlashColor = "Pink",
	FlashSize = s.FlashSizePercent() * 1.5,
}
a.spells["Cloak of Shadows"] = {
	ID = 31224--[[Cloak of Shadows]],
	Buff = 31224,
	--RequireBuff = number,
	BuffUnit = "player",
	Unit = "player",
	FlashColor = "Red",
	FlashBlink = true,
}
a.spells["Rupture"] = {
	ID = 1943--[[Rupture]],
	EnemyTargetNeeded = 1,
	Melee = 1,
	FlashColor = "Orange",
	CheckFirst = function(z)
		z.FlashColor = s.If(x.ActiveEnemy, "Orange", "Pink")
		return x.NoCC
	end,
}
a.spells["Eviscerate"] = {
	ID = 2098--[[Eviscerate]],
	EnemyTargetNeeded = 1,
	Melee = 1,
	FlashColor = "Orange",
	FlashBlink = true,
	CheckFirst = function(z)
		z.FlashColor = s.If(x.ActiveEnemy, "Orange", "Pink")
		return x.NoCC
	end,
	--FlashSize = s.FlashSizePercent() * 2,
}
a.spells["Vanish"] = {
	ID = 1856--[[Vanish]],
	Buff = 11327,
	BuffUnit = "player",
	FlashColor = "Pink",
	FlashSize = s.FlashSizePercent() * .75,
}
a.spells["Preparation"] = {
	ID = 14185--[[Preparation]],
	FlashColor = "Red",
	FlashSize = s.FlashSizePercent() * 1.5,	
}
a.spells["Shiv"] = {
	ID = 5938--[[Shiv]],
	EnemyTargetNeeded = 1,
	Melee = 1,
	CheckFirst = function(z)
		z.FlashColor = s.If(x.ActiveEnemy, "Orange", "Pink")
		return x.NoCC
	end,
}
a.spells["Recuperate"] = {
	ID = 73651--[[Recuperate]],
	Buff = 73651,
	--RequireBuff = number,
	BuffUnit = "player",
	EarlyRefresh = 5,
	Unit = "player",
	FlashColor = "Red",
	FlashBlink = true,
}
